# giteapc: version=1 depends=Lephenixnoir/fxsdk,Heath123/sh-elf-gcc

-include giteapc-config.make

# Use the fxSDK's default paths unless specified otherwise on the command line
LIBDIR ?= $(shell fxsdk path lib)
INCDIR ?= $(shell fxsdk path include)

FLAGS := USEGCC=1 TOOLPREFIX=sh-elf- CC=sh-elf-gcc AR=sh-elf-ar \
         libdir="$(LIBDIR)" includedir="$(INCDIR)"

configure:
	@ true

build:
	@ make $(FLAGS)

install:
	@ make $(FLAGS) install-static-superh install-headers-superh

uninstall:
	@ echo "uninstall not supported for OpenLibm, skipping"

.PHONY: configure build install uninstall
